wWidth, wHeight = love.graphics.getDimensions()

function love.load()
    Object = require("lib/classic")
    require("entities/player")
    require("entities/enemy")
    require("entities/bullet")
    require("entities/score")
    serialize = require("lib/ser")
    background = love.graphics.newImage("img/bg.jpg")
    require("entities/menu")
    Menu = require("lib/menu")
    gamestate = 'menu'
    scor = 0
    
    listOfBullets = {}
    
    if gamestate == 'menu' then
        menu = Menu1()
        menu:setEnemyImage()
    end
    
    player = Player()
    enemy = Enemy()
    score = Score()
    
end

function love.update(dt)
    
    if love.keyboard.isDown("escape") then
        love.event.push('quit')
    end
    
    if gamestate == 'menu' then
        menu:update(dt)
    else        
        player:update(dt)
        enemy:update(dt)
        
        for i, v in ipairs(listOfBullets) do
            v:update(dt)
            v:checkCollision(enemy)
            
            if v.dead then
                table.remove(listOfBullets, i)
            end
        end
    end
end

function love.draw()
    if gamestate == 'menu' then
        menu:draw()
    else
        --love.graphics.draw(background)        
        player:draw()
        enemy:draw()
        
        for i, v in ipairs(listOfBullets) do
            v:draw()
        end
        
        score:draw()    
    end
end

function love.keypressed(key)
    menu:keyPressedMenuItems(key)
    player:keyPressed(key)
end
